Get queue
Use the select query parameter to specify which fields to include.
Path parameters
idstringRequired
The queue ID.
Query parameters
selectstringOptional
Optional select statement to filter fields.
Responses
200
OK
application/json
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
longDescriptionstringOptional
Gets or sets the long description associated with the queue.
shortDescriptionstringOptional
Gets or sets the short description associated with the queue.
externalIdstring · nullableOptional
Gets or sets the optional external identifier associated with the queue.
statusstring · enumOptionalPossible values:
defaultbooleanOptional
Indicates whether this queue is the default queue.
internalbooleanOptional
Indicates whether this queue is internal.
isDeletedbooleanOptional
Indicates whether the queue has been marked as deleted.
404
Not Found
application/json
get/public/v1/helpdesk/queues/{id}
GET /public/v1/helpdesk/queues/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"deleted": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"activated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"disabled": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"icon": "text",
"revision": 1,
"longDescription": "text",
"shortDescription": "text",
"externalId": "text",
"status": "Disabled",
"default": true,
"internal": true,
"account": {
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"icon": "text",
"revision": 1,
"type": "Client",
"status": "Active",
"externalIds": {
"pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
},
"externalId": "text",
"externalName": "text",
"address": {
"addressLine1": "text",
"addressLine2": "text",
"postCode": "text",
"city": "text",
"state": "text",
"country": "text"
},
"technicalSupportEmail": "text",
"website": "text",
"description": "text",
"groups": [
{
"id": "text",
"name": "text",
"revision": 1,
"description": "text",
"logo": "text",
"isDefault": true
}
],
"eligibility": {
"client": true,
"partner": true
},
"defaultLanguageCode": "text"
},
"statistics": {
"totalCases": 1,
"openCases": 1
},
"isDeleted": true
}Last updated
Was this helpful?